# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KCalendarSystemJalali Class Reference

Jalali calendar type implementation. More...

`#include <kcalendarsystemjalali.h>`

Inheritance diagram for KCalendarSystemJalali:

[legend]
Collaboration diagram for KCalendarSystemJalali:

[legend]
List of all members.

## Public Member Functions

| KCalendarSystemJalali (const KLocale *locale=0)
virtual int | year (const QDate &date) const
virtual int | month (const QDate &date) const
virtual int | day (const QDate &date) const
virtual int | dayOfWeek (const QDate &date) const
virtual int | dayOfYear (const QDate &date) const
virtual bool | setYMD (QDate &date, int y, int m, int d) const
virtual QDate | addYears (const QDate &date, int nyears) const
virtual QDate | addMonths (const QDate &date, int nmonths) const
virtual QDate | addDays (const QDate &date, int ndays) const
virtual int | monthsInYear (const QDate &date) const
virtual int | daysInYear (const QDate &date) const
virtual int | daysInMonth (const QDate &date) const
virtual int | weeksInYear (int year) const
virtual int | weekNumber (const QDate &date, int *yearNum=0) const
virtual QString | monthName (const QDate &date, bool shortName=false) const
virtual QString | monthNamePossessive (const QDate &date, bool shortName=false) const
virtual QString | weekDayName (int weekDay, bool shortName=false) const
virtual QString | weekDayName (const QDate &date, bool shortName=false) const
virtual QString | monthNamePossessive (int month, int year, bool shortName=false) const
virtual QString | monthName (int month, int year, bool shortName=false) const
virtual int | minValidYear () const
virtual int | maxValidYear () const
virtual int | weekDayOfPray () const
virtual QString | calendarName () const
virtual bool | isLunar () const
virtual bool | isLunisolar () const
virtual bool | isSolar () const

## Detailed Description

Jalali calendar type implementation.

Definition at line 36 of file kcalendarsystemjalali.h.

## Member Function Documentation

int KCalendarSystemJalali::year | ( | const QDate & | date | ) | const`[virtual]`

Gets specific calendar type year for a given gregorian date.

Parameters:

  | date | gregorian date

Returns:
  year

Implements KCalendarSystem.

Definition at line 212 of file kcalendarsystemjalali.cpp.

References endl().

Referenced by addMonths(), addYears(), dayOfYear(), minValidYear(), and weekNumber().

int KCalendarSystemJalali::month | ( | const QDate & | date | ) | const`[virtual]`

Gets specific calendar type month for a given gregorian date.

Parameters:

  | date | gregorian date

Returns:
  month number

Implements KCalendarSystem.

Definition at line 221 of file kcalendarsystemjalali.cpp.

References endl().

Referenced by addMonths(), and addYears().

int KCalendarSystemJalali::day | ( | const QDate & | date | ) | const`[virtual]`

Gets specific calendar type day number of month for a given date.

Parameters:

  | date | gregorian date equivalent to the specific one

Returns:
  day of the month

Implements KCalendarSystem.

Definition at line 230 of file kcalendarsystemjalali.cpp.

References endl().

Referenced by addMonths(), and addYears().

int KCalendarSystemJalali::dayOfWeek | ( | const QDate & | date | ) | const`[virtual]`

Gets specific calendar type number of day of week number for a given date.

Parameters:

  | date | gregorian date

Returns:
  day of week

Implements KCalendarSystem.

Definition at line 239 of file kcalendarsystemjalali.cpp.

Referenced by weekDayName(), and weekNumber().

int KCalendarSystemJalali::dayOfYear | ( | const QDate & | date | ) | const`[virtual]`

Gets specific calendar type day number of year for a given date.

Parameters:

  | date | gregorian date equivalent to the specific one

Returns:
  day number

Implements KCalendarSystem.

Definition at line 247 of file kcalendarsystemjalali.cpp.

References QDate::daysTo(), setYMD(), and year().

Referenced by weekNumber().

bool KCalendarSystemJalali::setYMD | ( | QDate & | date,
|  | int | y,
|  | int | m,
|  | int | d
| ) | const`[virtual]`

Changes the date's year, month and day.

The range of the year, month and day depends on which calendar is being used.

Parameters:

  | date | Date to change
  | y | Year
  | m | Month number
  | d | Day of month

Returns:
  true if the date is valid; otherwise returns false.

Implements KCalendarSystem.

Definition at line 256 of file kcalendarsystemjalali.cpp.

References maxValidYear(), and QDate::setYMD().

Referenced by addMonths(), addYears(), dayOfYear(), and weekNumber().

QDate KCalendarSystemJalali::addYears | ( | const QDate & | date,
|  | int | nyears
| ) | const`[virtual]`

Returns a QDate object containing a date nyears later.

Parameters:

  | date | The old date
  | nyears | The number of years to add

Returns:
  The new date

Implements KCalendarSystem.

Definition at line 273 of file kcalendarsystemjalali.cpp.

References day(), month(), setYMD(), and year().

QDate KCalendarSystemJalali::addMonths | ( | const QDate & | date,
|  | int | nmonths
| ) | const`[virtual]`

Returns a QDate object containing a date nmonths later.

Parameters:

  | date | The old date
  | nmonths | The number of months to add

Returns:
  The new date

Implements KCalendarSystem.

Definition at line 282 of file kcalendarsystemjalali.cpp.

References day(), month(), setYMD(), and year().

QDate KCalendarSystemJalali::addDays | ( | const QDate & | date,
|  | int | ndays
| ) | const`[virtual]`

Returns a QDate object containing a date ndays later.

Parameters:

  | date | The old date
  | ndays | The number of days to add

Returns:
  The new date

Implements KCalendarSystem.

Definition at line 305 of file kcalendarsystemjalali.cpp.

References QDate::addDays().

Referenced by weekNumber().

int KCalendarSystemJalali::monthsInYear | ( | const QDate & | date | ) | const`[virtual]`

Gets specific calendar type number of month for a given year.

Parameters:

  | date | The date whose year to use

Returns:
  The number of months in that year

Implements KCalendarSystem.

Definition at line 310 of file kcalendarsystemjalali.cpp.

int KCalendarSystemJalali::daysInYear | ( | const QDate & | date | ) | const`[virtual]`

Gets the number of days in date whose years specified.

Parameters:

  | date | Gregorian date equivalent to the specific one

Returns:
  The number of days in year

Implements KCalendarSystem.

Definition at line 317 of file kcalendarsystemjalali.cpp.

Referenced by weekNumber().

int KCalendarSystemJalali::daysInMonth | ( | const QDate & | date | ) | const`[virtual]`

Gets specific calendar type number of days in month for a given date.

Parameters:

  | date | gregorian date

Returns:
  number of days for month in date

Implements KCalendarSystem.

Definition at line 329 of file kcalendarsystemjalali.cpp.

int KCalendarSystemJalali::weeksInYear | ( | int | year | ) | const`[virtual]`

Gets the number of weeks in a specified year.

Parameters:

  | year | the year

Returns:
  number of weeks in year

Implements KCalendarSystem.

Definition at line 335 of file kcalendarsystemjalali.cpp.

Referenced by weekNumber().

int KCalendarSystemJalali::weekNumber | ( | const QDate & | date,
|  | int * | yearNum = `0`
| ) | const`[virtual]`

Gets specific calendar type week number for a given date.

Parameters:

  | date | gregorian date
  | yearNum | The year the date belongs to

Returns:
  week number

Implements KCalendarSystem.

Definition at line 343 of file kcalendarsystemjalali.cpp.

References addDays(), dayOfWeek(), dayOfYear(), daysInYear(), QDate::daysTo(), setYMD(), weeksInYear(), and year().

QString KCalendarSystemJalali::monthName | ( | const QDate & | date,
|  | bool | shortName = `false`
| ) | const`[virtual]`

Gets specific calendar type month name for a given gregorian date.

Parameters:

  | date | Gregorian date
  | shortName | Specifies if the short month name should be used

Returns:
  The name of the month

Implements KCalendarSystem.

Definition at line 448 of file kcalendarsystemjalali.cpp.

Referenced by monthNamePossessive().

QString KCalendarSystemJalali::monthNamePossessive | ( | const QDate & | date,
|  | bool | shortName = `false`
| ) | const`[virtual]`

Returns a string containing the possessive form of the month name.

("of January", "of February", etc.) It's needed in long format dates in some languages.

Parameters:

  | date | Gregorian date
  | shortName | Specifies if the short month name should be used

Returns:
  The possessive form of the name of the month

Implements KCalendarSystem.

Definition at line 457 of file kcalendarsystemjalali.cpp.

References monthName().

QString KCalendarSystemJalali::weekDayName | ( | int | weekDay,
|  | bool | shortName = `false`
| ) | const`[virtual]`

Gets specific calendar type week day name If an invalid week day is specified, QString::null is returned.

Parameters:

  | weekDay | number of day in week (1 -> Monday)
  | shortName | short or complete day name

Returns:
  day name

Implements KCalendarSystem.

Definition at line 470 of file kcalendarsystemjalali.cpp.

References KLocale::translate().

Referenced by weekDayName().

QString KCalendarSystemJalali::weekDayName | ( | const QDate & | date,
|  | bool | shortName = `false`
| ) | const`[virtual]`

Gets specific calendar type week day name.

Parameters:

  | date | the date
  | shortName | short or complete day name

Returns:
  day name

Implements KCalendarSystem.

Definition at line 512 of file kcalendarsystemjalali.cpp.

References dayOfWeek(), and weekDayName().

QString KCalendarSystemJalali::monthNamePossessive | ( | int | month,
|  | int | year,
|  | bool | shortName = `false`
| ) | const`[virtual]`

Returns a string containing the possessive form of the month name.

("of January", "of February", etc.) It's needed in long format dates in some languages. If an invalid month is specified, QString::null is returned.

Parameters:

  | month | The month number
  | year | The year the month belongs to
  | shortName | Specifies if the short month name should be used

Returns:
  The possessive form of the name of the month

Implements KCalendarSystem.

Definition at line 463 of file kcalendarsystemjalali.cpp.

References monthName().

QString KCalendarSystemJalali::monthName | ( | int | month,
|  | int | year,
|  | bool | shortName = `false`
| ) | const`[virtual]`

Gets specific calendar type month name for a given month number If an invalid month is specified, QString::null is returned.

Parameters:

  | month | The month number
  | year | The year the month belongs to
  | shortName | Specifies if the short month name should be used

Returns:
  The name of the month

Implements KCalendarSystem.

Definition at line 383 of file kcalendarsystemjalali.cpp.

References KLocale::translate().

int KCalendarSystemJalali::minValidYear | ( |  | ) | const`[virtual]`

Gets the first year value supported by specific calendar type algorithms.

Returns:
  first year supported

Implements KCalendarSystem.

Definition at line 519 of file kcalendarsystemjalali.cpp.

References year().

int KCalendarSystemJalali::maxValidYear | ( |  | ) | const`[virtual]`

Gets the maximum year value supported by specific calendar type algorithms (QDate, 8000).

Returns:
  maximum year supported

Implements KCalendarSystem.

Definition at line 527 of file kcalendarsystemjalali.cpp.

Referenced by setYMD().

int KCalendarSystemJalali::weekDayOfPray | ( |  | ) | const`[virtual]`

Gets the day of the week traditionaly associated with pray.

Returns:
  day number

Implements KCalendarSystem.

Definition at line 538 of file kcalendarsystemjalali.cpp.

QString KCalendarSystemJalali::calendarName | ( |  | ) | const`[virtual]`

| Gets the string representing the calendar. Implements KCalendarSystem. Definition at line 542 of file kcalendarsystemjalali.cpp. References QString::fromLatin1().

bool KCalendarSystemJalali::isLunar | ( |  | ) | const`[virtual]`

Gets if the calendar is lunar based.

Returns:
  if the calendar is lunar based

Implements KCalendarSystem.

Definition at line 547 of file kcalendarsystemjalali.cpp.

bool KCalendarSystemJalali::isLunisolar | ( |  | ) | const`[virtual]`

Gets if the calendar is lunisolar based.

Returns:
  if the calendar is lunisolar based

Implements KCalendarSystem.

Definition at line 552 of file kcalendarsystemjalali.cpp.

bool KCalendarSystemJalali::isSolar | ( |  | ) | const`[virtual]`

Gets if the calendar is solar based.

Returns:
  if the calendar is solar based

Implements KCalendarSystem.

Definition at line 557 of file kcalendarsystemjalali.cpp.

The documentation for this class was generated from the following files:

- kcalendarsystemjalali.h
- kcalendarsystemjalali.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:20 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003